BaseLanguageSourceSet (Gradle API 9.6.0)
Description: declaration: package: org.gradle.language.base.sources, class: BaseLanguageSourceSet

Package org.gradle.language.base.sources

# Class BaseLanguageSourceSet

java.lang.Object
org.gradle.platform.base.component.internal.AbstractComponentSpec
org.gradle.api.internal.AbstractBuildableComponentSpec
org.gradle.language.base.internal.AbstractLanguageSourceSet
org.gradle.language.base.sources.BaseLanguageSourceSet

All Implemented Interfaces:
  `Buildable`, `BuildableComponentSpec`, `CheckableComponentSpec`, `Named`, `org.gradle.language.base.internal.LanguageSourceSetInternal`, `LanguageSourceSet`, `ModelElement`, `ComponentSpec`, `org.gradle.platform.base.internal.ComponentSpecInternal`

@Incubating public class BaseLanguageSourceSet extends org.gradle.language.base.internal.AbstractLanguageSourceSet
Base class that may be used for custom `LanguageSourceSet` implementations. However, it is generally better to use an interface annotated with `Managed` and not use an implementation class at all.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final ObjectFactory`
  `objectFactory`
  This is here as a convenience for subclasses to create additional SourceDirectorySets

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseLanguageSourceSet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T extends LanguageSourceSet>
  T`
  `create(Class<? extends LanguageSourceSet> publicType, Class<T> implementationType, org.gradle.platform.base.internal.ComponentSpecIdentifier componentId, ObjectFactory objectFactory)`
  Create a source set instance.

  ### Methods inherited from class org.gradle.language.base.internal.AbstractLanguageSourceSet

  `builtBy, generatedBy, getDisplayName, getGeneratorTask, getLanguageName, getMayHaveSources, getParentName, getProjectScopedName, getSource`

  ### Methods inherited from class org.gradle.api.internal.AbstractBuildableComponentSpec

  `checkedBy, getBuildDependencies, getBuildTask, getCheckTask, hasBuildDependencies, setBuildTask, setCheckTask`

  ### Methods inherited from class org.gradle.platform.base.component.internal.AbstractComponentSpec

  `getIdentifier, getName, getProjectPath, getTypeName, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Buildable

  `getBuildDependencies`

  ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

  `getBuildTask, hasBuildDependencies, setBuildTask`

  ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

  `getProjectPath`

  ### Methods inherited from interface org.gradle.model.ModelElement

  `getName`

- ## Field Details

  - ### objectFactory

    protected final ObjectFactory objectFactory
    This is here as a convenience for subclasses to create additional SourceDirectorySets
    Since:
      5.0

- ## Constructor Details

  - ### BaseLanguageSourceSet

    public BaseLanguageSourceSet()

- ## Method Details

  - ### create

    public static <T extends LanguageSourceSet> T create(Class<? extends LanguageSourceSet> publicType, Class<T> implementationType, org.gradle.platform.base.internal.ComponentSpecIdentifier componentId, ObjectFactory objectFactory)
    Create a source set instance.
    Since:
      5.0